function init()
	ecto1 = FindVehicle("stationwagon")
	siren = LoadLoop("MOD/assets/vehicles/land/ecto1.ogg")
	ghostbusters = LoadLoop("MOD/assets/vehicles/land/ghostbusters.ogg")
	count = 0
end

function tick(dt)
    if GetPlayerVehicle() ~= ecto1 then
        PlayLoop(siren)
		PlayLoop(ghostbusters)
		if round(count % 6,0) >= 3 then
			local lights = FindLights("flash1",true)
			for i=1, #lights do
				local light = lights[i]
				SetLightIntensity(light, 0.1)
			end
			
			local lights = FindLights("flash2",true)
			for i=1, #lights do
				local light = lights[i]
				SetLightIntensity(light, 60)
			end
		else
			local lights = FindLights("flash1",true)
			for i=1, #lights do
				local light = lights[i]
				SetLightIntensity(light, 60)
			end
			
			local lights = FindLights("flash2",true)
			for i=1, #lights do
				local light = lights[i]
				SetLightIntensity(light, 0.1)
			end
		end
		
		if InputPressed("b") then
			PlayLoop(ghostbusters)
		end
		count = count+0.1
    end
end

function round(number, decimals)
    local power = 10^decimals
    return math.floor(number * power) / power
end